.dataTable {
    border: 1px solid #e3e3e3;
}

.dataTables_wrapper .dataTables_filter {
   float: left;
   text-align: left;
}
.dataTables_info {
	float: left !important;
	text-align: right !important;
	padding-top: 12px;
}
.dataTables_length {
	float: none !important;
	padding-top: 6px !important;
}
.dataTables_paginate{
   float: none !important;
   text-align: center !important;
	padding-top: 3px !important;
}
.DTTT_container, .dt-buttons{
     float: right !important;
}
 #tablecontainer {
   margin : 0px auto;
} 

thead input text {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
}

.fixedSearchWidth {
        width: 100px;
        padding: 3px;
        box-sizing: border-box;
}

.btn
{

    position: relative;
    height: 30px;
    text-align: left;
    font-size: 16px;
    color: #333;
    padding-right:10px;
    padding-left:10px;
	border: none;
	background: #FFFFFF;
	white-space: nowrap;
	cursor: pointer;
}

#btn_container
{
    width:auto;
    height:15px; 
    padding-right:2px;
    padding-left:2px;
    border-radius:5px;
    float:left;
    text-align: center;
}

.btn span
{
    color: #A2C1D7;
	display:inline-block;
    vertical-align:middle;
    margin-right:5px; 
}

/*Datatable header style override*/
.dataTables_wrapper thead:first-child tr, .fixedHeader-floating thead:first-child tr {
    background: rgb(240, 243, 246) !important;
    vertical-align: top;
}
.dataTables_wrapper thead tr, .fixedHeader-floating thead tr {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 11px !important;
    background: rgb(221, 227, 233) !important;
    color: #2f4963 !important;
    height: 23px;
    font-weight: normal !important;

}

.dataTables_wrapper thead:first-child tr:first-child th, .fixedHeader-floating thead:first-child tr:first-child th {
    /*
    font-weight: normal !important;
    color: #2f4963 !important;
    */
}

.dataTables_scrollBody, .dataTables_scrollHead, .dataTables_scrollFoot, .DTFC_LeftBodyWrapper, .DTFC_LeftHeadWrapper, .DTFC_LeftFootWrapper {
    max-width: 100%;
}

/*Other styles*/
.dt-padding-left{
    padding-left: 20px !important;
}
.dataTables_wrapper {
/* 	width: 100%; */
/*     width: initial !important; */
	margin: 0 auto;
	font-size: 11px;
/* 	margin-top: 6px; */
	
    padding: 6px 13px 3px 13px;
    background: #ffffff;/*#e9eff4;*/
    border: 1px solid #d1d1d1;	
    width: 95vw;
    margin: 0 auto;
}

.dt-border {
	border: 1px solid #d1d1d1;
}

.dt-filter ::placeholder {
    color: #b8b8b8;
    font-size: 10px;
    font-style: italic;
}

td.input-number input {
	text-align: right;;
}

/*Custom table header style class*/
.tbl-header { 
	font-size: 11px !important;
	background: #D7DDE4 !important;
	color: #2f4963 !important;
}

/*Search filter column*/
.dataTables_wrapper thead tr:first-child th, table.dataTable thead th, table.dataTable thead td {
    margin: 0;
    padding: 1px 0px; /*!important;*/
    font-weight: bold;
    vertical-align: center;
    text-align: center;
}

.dataTable thead tr th input[type="text"] {
    height: 19px;
/*     width: 100%!important; */
    border: 1px solid #e3e3e3;
    padding: 0;
    margin: 0;
    font-size: 11px;
    text-align: center;
	border-radius: 10px;    
}

.dataTables_wrapper .dataTables_filter input {
	border-radius: 8px;
	    border: 1px solid #e3e3e3;
}

table.dataTable tfoot th, table.dataTable tfoot td {
    padding: 4px 0px;
}

/*if page-wrp has dt-tb-wrp then scroll table*/
#page-wrp .dt-tb-wrp {
	overflow-x: scroll; 
	min-height: 50vh;
}
/*if page-wrp has dt-tb-wrp then scroll table-applies by class name*/
.page-wrp-m .dt-tb-wrp {
	overflow-x: scroll; 
/* 	min-height: 500px;
	max-height: 1000px; */
}

/*colored row*/
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: rgb(240, 244, 251);
}
table.dataTable.row-border tbody th, table.dataTable.row-border tbody td, table.dataTable.display tbody th, table.dataTable.display tbody td {
    border-top: 1px solid #f0f3f6;
    border-top-color: #f0f3f6;
}

.box-shadow {
    -webkit-box-shadow: 0 1px 15px 1px rgba(113,106,202,.08);
    -moz-box-shadow: 0 1px 15px 1px rgba(113,106,202,.08);
    box-shadow: 0 1px 15px 1px rgba(113,106,202,.08);
}

.col-filter-equals input {
    background: #fcffea;
}

.dt-sf-container #searchFilterMenuBtn {
    font-size: 12px !important;
}

/*mcselect style fix for using in the datatable*/
.mcselect_header td {
    vertical-align: middle;
    font-size: 10px;
}

div div.mcselect_header {
    top: 22px!important;
}

div div.mcselect_body {
    top: 50px!important;
}

.mcselect_body th{
    vertical-align: middle !important;
}
.mcselect_body th:first-child {
    text-align: center !important;
}
.mcselect_body td:first-child {
	text-align: center !important;
}
.mcselect_body td {
    border: none !important;
    font-weight: normal !important;
	text-align: left !important;
    vertical-align: middle;
}

/* row details arrow style */
td.details-control {
	min-width: 20px;
	background: url('/vedi/images/expand.gif') no-repeat center center;
	cursor: pointer;
}

tr.shown td.details-control {
	min-width: 20px;
	background: url('/vedi/images/collapse.gif') no-repeat center center;
	cursor: pointer;
}

.child-table {
    margin: 10px 10px 10px 16px;
/*     width: 100%; */
}
.child-table th {
    font-size: 10px;
    font-weight: normal !important;
    background: #bdeaff;
    border: 1px solid #e9e9e9 !important;
    vertical-align: middle;
}

/*rowSelection*/
tr.rowSelection {
	cursor: pointer;
}
tr.rowSelection.active td {
    border-bottom: 1px solid #c5c5c5;
    background: #dbe0e5;
}

/*fixed header*/
.tableStickyHead { overflow-y: auto; height: 60vh; }
.tableStickyHead thead:first-child tr:first-child th { position: sticky; top: -1px; z-index: 1; background-color: rgb(240, 243, 246); }
.tableStickyHead thead:first-child tr:nth-child(2) th { position: sticky; top: 21px; z-index: 1; background-color: rgb(240, 243, 246); }